Subject: [lojban] Re: Again with the Alice.

From: Robin Lee Powell <[email-masked]>
Date: Thu, 10 Oct 2002 11:03:59 -0700

On Wed, Oct 09, 2002 at 09:49:06PM -0500, Jordan DeLong wrote:
> On Wed, Oct 09, 2002 at 10:18:19AM -0700, Robin Lee Powell wrote:
> > On Tue, Oct 08, 2002 at 09:10:06PM -0500, Jordan DeLong wrote:
> > > On Tue, Oct 08, 2002 at 04:14:52PM -0700, Robin Lee Powell wrote:
> [...]
> > > > I see no obvious solution. Do you have one?
> > > 
> > > How about making the RCS database public for people who prefer to
> > > edit offline/not in a webbrowser/etc?
> > 
> > Oh, yeah, *that* would fix the locking problem...
> > 
> > ?!
> 
> This has nothing to do with the locking problem. It sidesteps it. If
> araizen (or whoever wants to do offline or more convient editing) does
> a cvs up (or whatever it is with RCS), they can edit at their leisure
> and then commit later. 

You seem to be confusing RCS with cvs.

Or perhaps I do not understand what you mean by 'making the RCS database
public'.

> > > For extra credit you could forward port the twiki code to use CVS
> > > instead.
> > 
> > Heh.
> > 
> > You're welcome to write the code; I don't have time.
> 
> I would imagine if it uses an rcs repo it probably just uses system()
> type function calls to do the access...? 

I'm not sure, but it seems so.

> These could be simply replaced with cvs equivalents...

It's a bit more complicated then that, as you need to rewrite the whole
locking section.

> If it is more complicated than that, I say fuck it. (And personally I
> would prefer CVS to a wiki, but I've only done a *tiny* amount of
> translation (some bible porn, mostly -- it's probably really bad too
> since I did it a while ago) in the old CVS repo, so please ignore me).

<nod>

*All* help is appreciated.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ http://www.lojban.org/
la lojban. jai curmi roda .einai to ku'i so'ada mukti le nu co'a
darlu le'o -- RLP I'm a *male* Robin.